# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#

import os
import sys
from pathlib import Path
import sphinx_rtd_theme


sys.path.insert(0, str(Path(__file__).parent / ".." / ".."))

import bitia

# -- Project information -----------------------------------------------------

project = "BiTIA"
copyright = "2022, Subconscious Compute"
author = "Subconscious Compute"

# The full version, including alpha/beta/rc tags
release = "0.1.0"


# -- General configuration ---------------------------------------------------

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.

napoleon_google_docstring = False
extensions = [
    "myst_parser",
    "sphinx.ext.autodoc",
    "sphinx_tabs.tabs",
    "sphinx.ext.napoleon",
    "sphinx.ext.autodoc.typehints",
]
napoleosn_use_param = True
# Add any paths that contain templates here, relative to this directory.
templates_path = ["_templates"]

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = []


# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.apt-get install wget samtools

#
# html_theme = "furo"

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ["_static"]

sphinx_tabs_valid_builders = ["linkcheck"]

html_logo = "img/BiTIA_V5_Colour_Filled.png"
sphinx_tabs_disable_css_loading = True

html_css_files = ["https://raw.githack.com/Ganz1285/termynal/master/termynal.css"]

html_show_sphinx = False

sphinx_tabs_disable_css_loading = True
